Product comparison · 2 ip phones

Yealink MP56 E2 Teams vs Yealink T58W(Pro) with Camera

Add a product
  • 32specifications compared
  • 10differ
  • 22identical
  • 69known for one product only

Key differences

The Yealink T58W(Pro) with Camera has 1 more USB 2.0 ports quantity than the Yealink MP56 E2 Teams (2 vs 1). The Yealink T58W(Pro) with Camera has 1 more Ethernet LAN (RJ-45) ports than the Yealink MP56 E2 Teams (2 vs 1). The Yealink T58W(Pro) with Camera has 9 mm more width than the Yealink MP56 E2 Teams (259.4 mm vs 250.4 mm). Handset type: Wired & Wireless handset on the Yealink MP56 E2 Teams, Wireless handset on the Yealink T58W(Pro) with Camera. Display: LED on the Yealink MP56 E2 Teams, LCD on the Yealink T58W(Pro) with Camera.

  • Handset type
    • MP56 E2 Teams:Wired & Wireless handset
    • T58W(Pro) with Camera:Wireless handset
  • Display
    • MP56 E2 Teams:LED
    • T58W(Pro) with Camera:LCD
  • USB 2.0 ports quantity
    • MP56 E2 Teams:1
    • T58W(Pro) with Camera:2
  • Ethernet LAN (RJ-45) ports
    • MP56 E2 Teams:1
    • T58W(Pro) with Camera:2
  • Operating relative humidity (H-H)
    • MP56 E2 Teams:10 - 95%
    • T58W(Pro) with Camera:5 - 90%
  • Operating temperature (T-T)
    • MP56 E2 Teams:-10 - 50 °C
    • T58W(Pro) with Camera:-10 - 45 °C
  • Width
    • MP56 E2 Teams:250.4 mm
    • T58W(Pro) with Camera:259.4 mm
  • Depth
    • MP56 E2 Teams:168.7 mm
    • T58W(Pro) with Camera:220 mm

Side by side

Differences highlightedShow differences only (off)
Comparison of MP56 E2 Teams, T58W(Pro) with Camera
101 specifications
Design1 differ
Product typeIP PhoneIP Phone
Handset typeDiffersWired & Wireless handsetWireless handset
Product colourGreyGrey
Wall mountableKnown for oneUnknown — not stated by the sourceYes
Device lockKnown for oneYesUnknown — not stated by the source
Performanceidentical
Dual-Tone Multi-Frequency (DTMF) modesIn-band, Out-of band, SIP infoIn-band, Out-of band, SIP info
Hearing aid compatibilityYesYes
Phone featuresidentical
Answering machineKnown for oneUnknown — not stated by the sourceYes
Anonymous callKnown for oneUnknown — not stated by the sourceYes
Anonymous call rejectionKnown for oneUnknown — not stated by the sourceYes
Call forwardingYesYes
Call holdYesYes
Call parkKnown for oneUnknown — not stated by the sourceYes
Call pick upKnown for oneUnknown — not stated by the sourceYes
Call returnKnown for oneUnknown — not stated by the sourceYes
Call transferYesYes
Call waitingKnown for oneUnknown — not stated by the sourceYes
Caller IDYesYes
Conference callKnown for oneUnknown — not stated by the sourceYes
Do not disturb functionKnown for oneUnknown — not stated by the sourceYes
Full duplexYesYes
IntercomKnown for oneUnknown — not stated by the sourceYes
Message-waiting indicator (MWI)Known for oneUnknown — not stated by the sourceYes
Phonebook capacityKnown for oneUnknown — not stated by the source1000 entries
RedialingKnown for oneUnknown — not stated by the sourceYes
Speed diallingKnown for oneUnknown — not stated by the sourceYes
P2P callsKnown for oneYesUnknown — not stated by the source
PSTN callsKnown for oneYesUnknown — not stated by the source
Hot deskingKnown for oneYesUnknown — not stated by the source
Synchronized call logsKnown for oneYesUnknown — not stated by the source
Direct callKnown for oneYesUnknown — not stated by the source
Emergency callKnown for oneYesUnknown — not stated by the source
Short Message Service (SMS)Known for oneYesUnknown — not stated by the source
Management featuresidentical
Integrated voicemailYesYes
Keypad number of keysKnown for oneUnknown — not stated by the source27
Number of function keysKnown for oneUnknown — not stated by the source7
Voicemail indicationKnown for oneYesUnknown — not stated by the source
Meeting featuresKnown for oneAdd participates, Calendar, Hold/Resume, Meeting detailsUnknown — not stated by the source
Management platformKnown for oneMicrosoft Device, Yealink DeviceUnknown — not stated by the source
Display1 differ
DisplayDiffersLEDLCD
Display diagonal17.8 cm (7")17.8 cm (7")
Display resolution1024 x 600 pixels1024 x 600 pixels
TouchscreenYesYes
Touchscreen typeKnown for oneUnknown — not stated by the sourceCapacitive
Number of simultaneous touchpointsKnown for one5Unknown — not stated by the source
Cameraidentical
Front cameraKnown for oneUnknown — not stated by the sourceYes
Front camera resolution (numeric)Known for oneUnknown — not stated by the source2 MP
Field of view (FOV) angleKnown for oneUnknown — not stated by the source75°
Camera privacy shutterKnown for oneUnknown — not stated by the sourceYes
Audio1 differ
SpeakerphoneYesYes
Microphone muteYesYes
Adaptive jitter buffersKnown for oneUnknown — not stated by the sourceYes
Automatic gain controlKnown for oneUnknown — not stated by the sourceYes
Comfort noise generation (CNG)Known for oneUnknown — not stated by the sourceYes
Noise reductionKnown for oneUnknown — not stated by the sourceYes
Packet loss concealment (PLC)Known for oneUnknown — not stated by the sourceYes
Voice activity detectionKnown for oneUnknown — not stated by the sourceYes
Voice codecsDiffersAEC, AGC, AJB, CNG, G.711a, G.711u, G.722, G.723.1, G.726, G.729ab, PLC, Silk, VAD, iLBCG.711a, G.722, G.723.1, G.726, G.729, G.729A, G.729B, iLBC
Videoidentical
Video callKnown for oneUnknown — not stated by the sourceYes
Bit rateKnown for oneUnknown — not stated by the source512 Kbit/s
Video resolutionsKnown for oneUnknown — not stated by the source1280 x 720 pixels
Video capture resolution (max)Known for oneUnknown — not stated by the source1280 x 720 pixels
Video capturing speedKnown for oneUnknown — not stated by the source30 fps
Video codecsKnown for oneUnknown — not stated by the sourceH.264 High Profile, H.264, VP8
Networkidentical
Ethernet LANYesYes
Ethernet LAN data ratesKnown for oneUnknown — not stated by the source1000 Mbit/s
Ethernet LAN interface typeGigabit EthernetGigabit Ethernet
Wi-FiYesYes
Wi-Fi standardsKnown for oneUnknown — not stated by the source802.11a, 802.11b, 802.11g, Wi-Fi 4 (802.11n)
BluetoothYesYes
Bluetooth versionKnown for oneUnknown — not stated by the source4.2
Networking standardsKnown for oneUnknown — not stated by the sourceIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3af
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for oneUnknown — not stated by the source256-bit AES, HTTPS, TLS, WPA2, WPA3
Supported network protocolsKnown for oneUnknown — not stated by the sourceIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)
DHCP clientKnown for oneYesUnknown — not stated by the source
Ports & interfaces2 differ
USB 2.0 ports quantityDiffers12
Ethernet LAN (RJ-45) portsDiffers12
RJ-9 ports quantity22
USB Type-C ports quantityKnown for one1Unknown — not stated by the source
Poweridentical
Power over Ethernet (PoE)YesYes
AC adapter input voltageKnown for one100-240 VUnknown — not stated by the source
AC adapter output voltageKnown for one5 VUnknown — not stated by the source
AC adapter output currentKnown for one2 AUnknown — not stated by the source
Power consumption (Power over Ethernet (PoE))Known for one6 WUnknown — not stated by the source
Operational conditions2 differ
Operating relative humidity (H-H)Differs10 - 95%5 - 90%
Operating temperature (T-T)Differs-10 - 50 °C-10 - 45 °C
Weight & dimensions3 differ
WidthDiffers250.4 mm259.4 mm
DepthDiffers168.7 mm220 mm
HeightDiffers174.4 mm239 mm
Package widthKnown for oneUnknown — not stated by the source324 mm
Package depthKnown for oneUnknown — not stated by the source293 mm
Package heightKnown for oneUnknown — not stated by the source128 mm
Package weightKnown for oneUnknown — not stated by the source8.8 kg
Packaging contentidentical
Number of handles included1 pc(s)1 pc(s)
AC adapter includedKnown for oneYesUnknown — not stated by the source
Cables includedKnown for oneUSB Type-CUnknown — not stated by the source
Ethernet cableKnown for oneYesUnknown — not stated by the source
HandsetKnown for oneYesUnknown — not stated by the source
Stand includedKnown for oneYesUnknown — not stated by the source
Certificatesidentical
SkypeKnown for oneYesUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons